<?php
$servername = "localhost";
$username = "wp_usertomp";
$password = "p3%Pz14YRM@";
$dbname = "tompedidos";

// Crear conexión
$conn = new mysqli($servername, $username, $password, $dbname);

// Verificar conexión
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$sql = "SELECT latitude, longitude FROM locations";
$result = $conn->query($sql);

$locations = [];
if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        $locations[] = $row;
    }
}

$conn->close();
?>

<!DOCTYPE html>
<html>
<head>
    <title>Location Map</title>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyApbfA9IfftIke26igemmrDz0oazipbUBI"></script>
    <script>
    function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 10,
            center: {lat: 0, lng: 0}
        });

        var bounds = new google.maps.LatLngBounds();

        <?php foreach ($locations as $location) { ?>
            var latLng = new google.maps.LatLng(<?php echo $location['latitude']; ?>, <?php echo $location['longitude']; ?>);
            var marker = new google.maps.Marker({
                position: latLng,
                map: map
            });
            bounds.extend(latLng);
        <?php } ?>

        map.fitBounds(bounds);
    }
    </script>
</head>
<body onload="initMap()">
    <h1>Location Map</h1>
    <div id="map" style="width: 100%; height: 600px;"></div>
</body>
</html>
